//---------------------------------------------------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------------------------------------------------
CAppModule _Module;
CDevice		Device;
TCHAR*		gCaption = _T("DemoRF1996");
//---------------------------------------------------------------------------------------------------------------------
int Run(LPTSTR /*lpstrCmdLine*/ = NULL, int nCmdShow = SW_SHOWDEFAULT)
{
	CMessageLoop theLoop;
	_Module.AddMessageLoop(&theLoop);

	CMainWindow MainWindow;

	if(MainWindow.CreateEx() == NULL)
	{
		ATLTRACE(_T("Main window creation failed!\n"));
		return 0;
	}
	MainWindow.ShowWindow(SW_SHOW);
	
	int res = theLoop.Run();

	_Module.RemoveMessageLoop();

	return res;
}
//---------------------------------------------------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE /*hPrevInstance*/, LPTSTR lpstrCmdLine, int nCmdShow)
{
	TCHAR str[255];
	int   res = -1;

	// this resolves ATL window thunking problem when Microsoft Layer for Unicode (MSLU) is used
	::DefWindowProc(NULL, 0, 0, 0L);

	AtlInitCommonControls(ICC_BAR_CLASSES | ICC_DATE_CLASSES |
		ICC_COOL_CLASSES |ICC_LISTVIEW_CLASSES);	// add flags to support other controls	
	
	_Module.Init(0, hInstance, 0);	

	if(Device.LoadDll(str, ARRAYSIZE(str)))
		res = Run(lpstrCmdLine, nCmdShow);
	else
		MessageBox(NULL, str, gCaption, MB_OK | MB_ICONERROR);
	
	_Module.Term();

	return res;
}
//---------------------------------------------------------------------------------------------------------------------
