﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading; // Многопоточность

namespace DemoRF1996
{
    public partial class Scanning : Form
    {
        static BackgroundWorker bw;

        public Scanning()
        {
            InitializeComponent();

            bw = new BackgroundWorker();
        }
        /// <summary>
        ///  Запуск трэда сканирования устройства
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        static void bw_DoWork(object sender, DoWorkEventArgs e)
        {
            Int32 ret = NRF1996.CRF1996.SearchDevice();
        
        }
        /// <summary>
        /// Вызывается по окончанию работы потока
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void bw_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            Close();
        }
        /// <summary>
        /// OnInitDialog
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Scanning_Load(object sender, EventArgs e)
        {
            bw.WorkerReportsProgress = true;
            bw.WorkerSupportsCancellation = true;
            bw.DoWork += bw_DoWork;
//          bw.ProgressChanged += bw_ProgressChanged;
            bw.RunWorkerCompleted += bw_RunWorkerCompleted;

            bw.RunWorkerAsync(null);
        }
    }
}
